#ifndef _PANTELMAIL_H_
#define _PANTELMAIL_H_

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <pwd.h>
#include <sys/file.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <time.h>
#include <unistd.h> /* for crypt() */
#include <sys/stat.h> /* for stat */
#include <ctype.h> /* for isdigit */

/*
DO NOT #include <arpa/inet.h>*/  /* for inet_ntoa gcc -Wall gets confused.
To avoid error msg I have proto typed inet_ntoa( unsigned long) (it is)
*/ 

//#include <arpa/inet.h>
              
              
#include <signal.h>
#include <sys/wait.h>
#include <errno.h> /* EAGAIN */
#include <sys/types.h>
#include <dirent.h>
#include <string.h>
#include <locale.h>
 
#include <crypt.h>
#include <sys/time.h>
#include <pthread.h>
#include <sys/poll.h>

#ifndef NO_LOCKFILES 
#include <sys/file.h>
#endif // NO_LOCKFILES


#define TEMP_SIZE       65535
#define READSIZE		65535

/* posting status */
#define TO_BE_SEND		1
#define SEND_LATER		2
#define SEND_NOW		3
#define SEND_OK			5
#define SEND_FAILED		6

/* news, mail, http, ftp, ftp data  server status and net status */
#define DISCONNECTED		1
#define CONNECTED			2
#define READY				3
#define UNKNOWN				4

#define MAIL_SERVER_CONNECT_RETRIES	5

#define QUIT_SEND		0
#define RSET_SEND		1
#define HELO_SEND		2
#define FROM_SEND		3
#define RCPT_SEND		4
#define DATA_SEND		5
#define MESSAGE_SEND	6


struct passwd *userinfo;
char *home_dir;
int debug_flag;
long mail_posting;
int mail_server_status;
int mail_socketfd;
char *mail_server_name;      
char *sender;
char *user_name;
int mail_server_port;
int socketfd;
int command_in_progress;
int expect_numeric_flag;
int auto_disconnect_from_net_flag;
int connect_to_mail_server_timeout;
int bytes_send;
int bytes_received;
int mail_mode;
FILE *text_fileptr;
char *recipient;
char *text_filename;
char *subject;


#include "pantelmail_proto.h"


#define VERSION "0.1"

#endif // _PANTELMAIL_H_

